Bug 1472218 - support creation of Erasure Coded volumes using gdeploy.
support creation of Erasure Coded volumes using gdeploy.
Status: ON_QA
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: gdeploy (Show other bugs)
3.3
Unspecified Unspecified
unspecified Severity unspecified
: ---
: RHGS 3.3.1 Async
Assigned To: Devyani Kota
SATHEESARAN
: ZStream
Depends On:
Blocks: Gluster-HC-3 1581561
  Show dependency treegraph
 
Reported: 2017-07-18 05:24 EDT by RamaKasturi
Modified: 2018-05-23 01:42 EDT (History)
10 users (show)

See Also:
Fixed In Version: gdeploy-2.0.2-20
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description RamaKasturi 2017-07-18 05:24:40 EDT
Description of problem:
support creating Erasure Coded volumes using gdeploy.

Version-Release number of selected component (if applicable):
gdeploy-2.0.2-12.el7rhgs.noarch.rpm

How reproducible:


Steps to Reproduce:
1. 
2.
3.

Actual results:
user / cu will not be able to create Erasure coded volumes using gdeploy.

Expected results:
gdeploy should support creation of Erasure coded volumes.

Additional info:
Document link below explains how to create EC volumes and supported configs.

https://access.redhat.com/documentation/en-us/red_hat_gluster_storage/3.2/html-single/administration_guide/#sect-Recommended-Configuration_Dispersed
Comment 1 Devyani Kota 2017-09-08 05:10:14 EDT
Hello,
I am able to create Erasure Coded volumes with the following config file[1],
using gdeploy. This seems to have been resolved.

[1] http://pastebin.test.redhat.com/511615

Thanks,
Devyani Kota.

Note You need to log in before you can comment on or make changes to this bug.